let carteVecteur;
let marqueurVecteur;
$(function() {
  let cserveur = 'https://tuile.mapaedifi.eu/';
  fetch(cserveur + "fr.json")
    .then(response => response.json())
    .then(data => {
        let styleURL = window.location.protocol + '//' + window.location.host + '/xref/FR/style.json';
        let bounds = data.bounds;
        carteVecteur = new maplibregl.Map({
            container: 'carte-vecteur',
            style: styleURL,
            center: [(Number(bounds[0])+Number(bounds[2]))/2,
                     (Number(bounds[1])+Number(bounds[3]))/2],
            zoom: 9,
            minZoom: 0,
            maxZoom: 18
        });
        carteVecteur.addControl(new maplibregl.NavigationControl());
        carteVecteur.addControl(new maplibregl.AttributionControl({ compact: false, customAttribution:
            "Style © <a href='https://openmaptiles.org/'>OpenMapTiles</a> | "+
            "Données © <a href='https://www.openstreetmap.org/copyright'>Contributrices &amp; contributeurs OpenStreetMap</a>" }));
    });
  $('.cartographie').magnificPopup({
    items: {
      type: 'inline',
      src: '#carte-vecteur'
    },
    key: 'carte-vecteur',
    callbacks: {
      open: function() {
		let couche = 'fr';
		if (this.st.el.get(0).dataset.hasOwnProperty('couche')) {
		  couche = couche + this.st.el.get(0).dataset.couche;
		}
        carteVecteur.getSource('openmaptiles').setTiles(['https://tuile.mapaedifi.eu/' + couche + '/{z}/{x}/{y}.pbf']);
        carteVecteur.setCenter([this.st.el.get(0).dataset.lon, this.st.el.get(0).dataset.lat]).setZoom(16);
        if (marqueurVecteur === undefined) {
          marqueurVecteur = new maplibregl.Marker().setLngLat([this.st.el.get(0).dataset.lon, this.st.el.get(0).dataset.lat]).addTo(carteVecteur);
        } else {
          marqueurVecteur.setLngLat([this.st.el.get(0).dataset.lon, this.st.el.get(0).dataset.lat]);
        }
        return;
      }
    }
  });
});
